Name:		gscan2pdf
Version:	1.8.2
Release:	%mkrel 1
Summary:	Produces multipage PDFs from a scan
License:	GPLv3
Group:		Publishing
URL:		http://gscan2pdf.sourceforge.net/
Source0:	http://sourceforge.net/projects/gscan2pdf/files/gscan2pdf/%{version}/%{name}-%{version}.tar.xz
# https://sourceforge.net/p/gscan2pdf/bugs/230/
Patch0:		gscan2pdf-1.6.0-fix-utf8-characters.patch
BuildArch:	noarch
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils

Requires:	libtiff-progs
Requires:	imagemagick
Requires:	sane-frontends
Requires:	perl-Gtk2-Ex-PodViewer
Requires:	perl-forks >= 0.33
Requires:	perl-reaper
Requires:	unpaper
Requires:	xdg-utils
Requires:	djvulibre
Requires:	gocr

%description
A GUI to ease the process of producing a multipage PDF from a scan.

Scanning is handled with SANE via scanimage. PDF conversion is done by
PDF::API2. TIFF export is handled by libtiff (faster and smaller memory
footprint for multipage files).

%prep
%setup -q
%autopatch -p1

# fix file that is not UTF-8
iconv --from=ISO-8859-1 --to=UTF-8 History > History.new
mv History.new History

%build
perl Makefile.PL INSTALLDIRS=vendor SHAREDIR=%{_datadir}

%make_build

%install
%make_install

desktop-file-install --vendor='' \
	--dir=%{buildroot}%{_datadir}/applications \
	--remove-key='X-SuSE-translate' \
	%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc History COPYING
%license LICENCE
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{perl_vendorlib}/Gscan2pdf/
%{_datadir}/pixmaps/*.svg
%{_datadir}/appdata/%{name}.appdata.xml
%{_mandir}/man1/*.1*


%changelog
* Sat Jun 03 2017 akien <akien> 1.8.2-1.mga6
+ Revision: 1105978
- Version 1.8.2

* Wed Apr 26 2017 akien <akien> 1.8.0-1.mga6
+ Revision: 1097516
- Version 1.8.0

* Mon Feb 13 2017 daviddavid <daviddavid> 1.7.2-1.mga6
+ Revision: 1085988
- new version: 1.7.2

* Fri Jan 13 2017 daviddavid <daviddavid> 1.7.1-1.mga6
+ Revision: 1081494
- new version: 1.7.1
- remove some hard requires already auto-required

* Mon Dec 05 2016 daviddavid <daviddavid> 1.6.0-1.mga6
+ Revision: 1072624
- new version: 1.6.0
- rename and rediff fix-utf8-characters patch
- remove merged upstream patch

* Thu Nov 17 2016 daviddavid <daviddavid> 1.5.5-3.mga6
+ Revision: 1068031
- fix more the UTF-8 issue with accentued characters (mga#15000)
  * https://sourceforge.net/p/gscan2pdf/bugs/230/#f803

* Mon Nov 14 2016 daviddavid <daviddavid> 1.5.5-2.mga6
+ Revision: 1067127
- add an upstream patch to fix an UTF-8 issue with accentued characters (mga#15000)
- add an upstream patch to fix saving to an image with shell meta characters in a file name

* Sat Oct 29 2016 daviddavid <daviddavid> 1.5.5-1.mga6
+ Revision: 1063883
- new version: 1.5.5

* Fri Oct 21 2016 daviddavid <daviddavid> 1.5.4-1.mga6
+ Revision: 1062887
- new version: 1.5.4

* Fri Oct 14 2016 daviddavid <daviddavid> 1.5.3-1.mga6
+ Revision: 1060729
- new version: 1.5.3

* Sun Aug 28 2016 daviddavid <daviddavid> 1.5.2-1.mga6
+ Revision: 1049348
- new version: 1.5.2

* Thu Aug 04 2016 daviddavid <daviddavid> 1.5.1-1.mga6
+ Revision: 1044467
- new version: 1.5.1

* Sat Jun 18 2016 pterjan <pterjan> 1.4.0-2.mga6
+ Revision: 1022148
- Rebuild for perl 5.22.2

* Sat Apr 23 2016 daviddavid <daviddavid> 1.4.0-1.mga6
+ Revision: 1005745
- new version: 1.4.0

* Mon Mar 07 2016 daviddavid <daviddavid> 1.3.9-1.mga6
+ Revision: 986944
- new version: 1.3.9

* Fri Feb 05 2016 daviddavid <daviddavid> 1.3.8-1.mga6
+ Revision: 936956
- new version: 1.3.8

* Sun Jan 17 2016 daviddavid <daviddavid> 1.3.7-1.mga6
+ Revision: 925018
- new version: 1.3.7

* Mon Dec 21 2015 daviddavid <daviddavid> 1.3.6-1.mga6
+ Revision: 913208
- new version: 1.3.6

* Sat Oct 10 2015 daviddavid <daviddavid> 1.3.5-1.mga6
+ Revision: 888721
- new version: 1.3.5

* Thu Aug 06 2015 daviddavid <daviddavid> 1.3.4-1.mga6
+ Revision: 861437
- new version: 1.3.4

* Tue Aug 04 2015 daviddavid <daviddavid> 1.3.3-1.mga6
+ Revision: 861015
- new version: 1.3.3
- fix file list

* Thu Jul 23 2015 daviddavid <daviddavid> 1.3.2-1.mga6
+ Revision: 856603
- new version: 1.3.2
- update Source URL

* Wed Oct 15 2014 umeabot <umeabot> 1.2.5-3.mga5
+ Revision: 740214
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.5-2.mga5
+ Revision: 679959
- Mageia 5 Mass Rebuild

* Wed Jul 02 2014 dams <dams> 1.2.5-1.mga5
+ Revision: 642166
- new version 1.2.5

* Thu Apr 03 2014 dams <dams> 1.2.4-1.mga5
+ Revision: 611550
- new version 1.2.4

* Tue Feb 04 2014 dams <dams> 1.2.3-1.mga5
+ Revision: 580754
- new version 1.2.3

* Mon Dec 23 2013 dams <dams> 1.2.0-1.mga4
+ Revision: 560067
- new version 1.2.0

* Sat Oct 19 2013 umeabot <umeabot> 1.1.3-2.mga4
+ Revision: 535025
- Mageia 4 Mass Rebuild

* Tue Sep 17 2013 dams <dams> 1.1.3-1.mga4
+ Revision: 480703
- new version 1.1.3

* Wed Jun 26 2013 barjac <barjac> 1.0.6-4.mga4
+ Revision: 446655
- fix bad patch
- clean spec
- fix use of %%apply_patches by moving Patch0: after Source0:

* Tue Jun 25 2013 barjac <barjac> 1.0.6-3.mga4
+ Revision: 446345
- fixes mangeld output of gocr
- recognizes tesseract version 3
- fixes parsing of hocr (some OCRs use ocrx_word instead of ocr_word)
- mga #10402

* Sat Jan 12 2013 umeabot <umeabot> 1.0.6-2.mga3
+ Revision: 352685
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 fwang <fwang> 1.0.6-1.mga3
+ Revision: 289876
- update file list
- new version 1.0.6

* Thu Oct 06 2011 yann <yann> 1.0.0-1.mga2
+ Revision: 152545
- Remove irrelevant INSTALL file
- fix installed file list (use of macro)
- update to new version 1.0.0

* Sun May 15 2011 pterjan <pterjan> 0.9.32-5.mga1
+ Revision: 98994
- Rebuild for fixed find-requires

* Wed May 04 2011 ahmad <ahmad> 0.9.32-4.mga1
+ Revision: 94679
- Drop old/unneeded scriptlets
- %%doc more files
- imported package gscan2pdf

